### Method

# Gtk.TreeView.insert_column_with_data_func

#### Declaration [src]

    int
    gtk_tree_view_insert_column_with_data_func (
      GtkTreeView* tree_view,
      int position,
      const char* title,
      GtkCellRenderer* cell,
      GtkTreeCellDataFunc func,
      gpointer data,
      GDestroyNotify dnotify
    )

#### Description [src]

Convenience function that inserts a new column into the `GtkTreeView` with the given cell renderer and a `GtkTreeCellDataFunc` to set cell renderer attributes (normally using data from the model). See also `gtk_tree_view_column_set_cell_data_func()`, `gtk_tree_view_column_pack_start()`. If `tree_view` has “fixed_height” mode enabled, then the new column will have its “sizing” property set to be GTK_TREE_VIEW_COLUMN_FIXED.

#### Parameters

`position` | `int`
| Position to insert, -1 for append
`title` | `const char*`
| column title
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`cell` | `GtkCellRenderer`
| cell renderer for column
| Ownership is not transferred to the callee
`func` | `GtkTreeCellDataFunc`
| function to set attributes of cell renderer
`data` | `gpointer`
| data for `func`
`dnotify` | `GDestroyNotify`
| destroy notifier for `data`

#### Return value

Returns: `int`
number of columns in the tree view post-insert